Skip to main content
Get the match scores between a Job and its market Skill Profiles
curl --request GET \
  --url https://{tenant_name}.{region}.techwolf.ai/job_architecture/jobs/{external_id}/market_alignment \
  --header 'Authorization: Bearer <token>'
{
  "job_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
  "alignment_scores": [
    {
      "peer_group": "B2B",
      "jobn_to_peer_score": 0.85,
      "peer_to_job_score": 0.9
    },
    {
      "peer_group": "B2C",
      "job_to_peer_score": 0.95,
      "peer_to_job_score": 0.8
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

job_external_id
string<uuid>
required

Unique external ID linked to this Job, consisting of alphanumeric characters, hyphens and underscores. The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.

Required string length: 1 - 100
Pattern: [a-zA-Z0-9_-]+
Example:

"a3903505-eb84-42dc-a79f-5e7b1fe897b7"

Query Parameters

response_format
enum<string>
default:simple

If set to explained, the response will include an explanation of the match.

Available options:
simple,
explained
Example:

"explained"

vocab_language
enum<string>
default:en_uk

The display language used for Skill names. Altering the vocabulary language does not change the Skill Profile; it solely changes the way it is displayed. If not specified, the default language (en_uk) will be used. The en language is an alias for en_uk.

Available options:
en,
en_uk,
en_us,
de,
fr,
nl

Response

OK

A match result between a Job and its market Skill Profiles.

job_id
string<uuid>
required

The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.

Required string length: 1 - 100
Pattern: [a-zA-Z0-9_-]+
Example:

"b003505-eb84-42dc-a79f-5e7b1fe897b7"

alignment_scores
object[]
required

The market alignment scores for the Job, for every peer Skill Profile.

Example:
[
{
"peer_group": "B2B",
"job_to_peer_score": 0.85,
"peer_to_job_score": 0.9
},
{
"peer_group": "B2C",
"job_to_peer_score": 0.95,
"peer_to_job_score": 0.8
}
]